Summary: A utility for displaying and/or setting hard disk parameters.
Name: hdparm
Version: 5.4
Release: 2tr
License: BSD
Group: System/Administration
Source: http://www.ibiblio.org/pub/Linux/system/hardware/hdparm-%{version}.tar.gz
Source1: hdparm.sysconfig
Source2: hdparm.init
Buildroot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: s390 s390x
PreReq: chkconfig

%description
Hdparm is a useful system utility for setting (E)IDE hard drive
parameters.  For example, hdparm can be used to tweak hard drive
performance and to spin down hard drives for power conservation.

%prep
%setup -q

%build
perl -pi -e "s,-O2,$RPM_OPT_FLAGS,g" Makefile
make

%install
mkdir -p $RPM_BUILD_ROOT%{_initdir}
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/doc
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -c -s -m 755 hdparm $RPM_BUILD_ROOT/sbin/hdparm
install -c -m 644 hdparm.8 $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/sysconfig/hdparm
install -m 755 %SOURCE2 $RPM_BUILD_ROOT%{_initdir}/hdparm

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add hdparm

%preun
if [ $1 == 0 ]; then
  chkconfig --del hdparm
fi

%files
%defattr(-,root,root)
%doc hdparm.lsm Changelog
%config(noreplace) /etc/sysconfig/hdparm
%{_initdir}/hdparm
/sbin/hdparm
%{_mandir}/man8/hdparm.8*

%changelog
* Fri Jul  4 2003 Erlend Midttun <erlendbm at trustix dot com> 5.4-2tr
- Rebuilt with -tr.

* Thu Jul  3 2003 Goetz Bock <bock at trustix dot org> 5.4-1bg
- new upstream: 5.4
- small changes to the init script
- fixed %postun to %preun

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 5.2-7tr
- Big rebuild

* Tue Apr 29 2003 Erlend Midttun <erlendbm at trustix dot com> 5.2-6em
- Fixed init script.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 5.2-5gd
- Added PreReq on chkconfig

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 5.2-4em
- Rebuilt against glibc 2.3.2.

* Tue Sep  3 2002 Roland Kruse <rolandk at trustix dot com>
- Initial version for TSL:
- fixed group

* Wed Jun 26 2002 Karsten Hopp <karsten@redhat.de>
- update to 5.2 with the following fixes:
 - v5.2 compile fixes for 2.5.xx
 - v5.1 fixed segfault in "-i" on older drives
 - v5.0 lots of updates and new features
 - v4.9 fixed compile error with 2.5.xx kernels
 - v4.8 changed -Q to allow specifying queue depth
 - v4.7 added -z, -Q, -M flags; expanded parm range for -p
[ Rest of Red Hat changelog stripped for readability. ]
